The Tab is at the heart of Supertab. It aggregates purchases customers make and tracks when they are required to make payment.
While the Tab powers much of our underlying behaviour you will not often directly interact with it.
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Supertab docs","colors":{"primary":"#0A0E1A","light":"#F3F3F4","dark":"#0A0E1A"},"logo":{"light":"https://mintcdn.com/supertab/bP-daIW8qZO4pzbo/logo/light.svg?fit=max\u0026auto=format\u0026n=bP-daIW8qZO4pzbo\u0026q=85\u0026s=47631a4a02f7428d1c2479d804aea54d","dark":"https://mintcdn.com/supertab/bP-daIW8qZO4pzbo/logo/dark.svg?fit=max\u0026auto=format\u0026n=bP-daIW8qZO4pzbo\u0026q=85\u0026s=0fae8412d2464504a082bd910292aa43"},"favicon":"https://mintcdn.com/supertab/nIjMo5xiY0_gRI-4/favicon.webp?fit=max\u0026auto=format\u0026n=nIjMo5xiY0_gRI-4\u0026q=85\u0026s=419af455c4dcfc9b93f2893e0ccec259","api":{"playground":{"display":"simple"}},"navbar":{"links":[{"href":"https://support.supertab.co/hc/en-us/requests/new","label":"Support"}],"primary":{"type":"button","label":"Business Portal","href":"https://business.supertab.co"}},"footer":{"socials":{"x":"https://x.com/getsupertab","linkedin":"https://www.linkedin.com/company/supertab"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"supertab","hasAudioNarration":false,"actualSubdomain":"supertab","customDomains":["docs.supertab.co"],"gitSource":{"type":"github","owner":"laterpay","repo":"supertab-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae9227464072a14c6718829:success","clientVersion":"0.0.4088","searchFilterCounts":[{"language":"default","tag":"API Reference","count":27},{"language":"default","tag":"Supertab.js","count":14},{"language":"default","tag":"Customer API","count":12},{"language":"default","tag":"Documentation","count":11},{"language":"default","tag":"Endpoints","count":9},{"language":"default","tag":"Merchant API","count":6},{"language":"default","tag":"Introduction","count":5},{"language":"default","tag":"Supertab Experiences","count":5},{"language":"default","tag":"Reference","count":4},{"language":"default","tag":"Integrate","count":3}]},"assistantConfig":{"deflection":{"enabled":true,"email":"support@supertab.co"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"customer-api/endpoints/retrieve-customer","slug":"/customer-api/endpoints/retrieve-customer","pageMetadata":{"title":"Retrieve current customer","openapi":"GET /customers/me","description":"Retrieve the current customer.\n\nIf the user is authenticated, retrieve the customer's current tab.\n\nFor unauthenticated requests, retrieve a predicted currency and tab limit based on the user's location.","href":"/customer-api/endpoints/retrieve-customer"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Retrieve the current customer.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"If the user is authenticated, retrieve the customer’s current tab.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"For unauthenticated requests, retrieve a predicted currency and tab limit based on the user’s location.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components},{Heading}=_components;if(!Heading)_missingMdxReference(`Heading`,true);return _jsxs(_Fragment,{children:[_jsx(`div`,{class:`mint-flex mint-items-baseline mint-border-b mint-pb-2.5 mint-border-gray-100 dark:mint-border-gray-800 mint-w-full`,children:_jsx(Heading,{level:`4`,id:`required-scopes`,class:`mint-flex-1 mint-mb-0`,children:`Required Scopes`})}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`capi:read`}),` - Read access to Customer API resources`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve current customer","openapi":"GET /customers/me","description":"Retrieve the current customer.\n\nIf the user is authenticated, retrieve the customer's current tab.\n\nFor unauthenticated requests, retrieve a predicted currency and tab limit based on the user's location.","href":"/customer-api/endpoints/retrieve-customer"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Required Scopes","slug":"required-scopes","depth":4,"children":[]}],"codeExamples":{}},"jsLinks":[],"dynamicCss":".mint-mb-0 {\n margin-bottom: 0px\n}\n.mint-flex {\n display: flex\n}\n.mint-w-full {\n width: 100%\n}\n.mint-flex-1 {\n flex: 1 1 0%\n}\n.mint-items-baseline {\n align-items: baseline\n}\n.mint-border-b {\n border-bottom-width: 1px\n}\n.mint-border-gray-100 {\n --tw-border-opacity: 1;\n border-color: rgb(243 244 246 / var(--tw-border-opacity, 1))\n}\n.mint-pb-2\\.5 {\n padding-bottom: 0.625rem\n}\n.dark\\:mint-border-gray-800:is(.dark *) {\n --tw-border-opacity: 1;\n border-color: rgb(31 41 55 / var(--tw-border-opacity, 1))\n}","openApiReferenceData":{"operation":{"tags":["Customer"],"summary":"Retrieve the current customer.","description":"Retrieve the current customer.\n\nIf the user is authenticated, retrieve the customer's current tab.\n\nFor unauthenticated requests, retrieve a predicted currency and tab limit based on the user's location.","operationId":"retrieve-customer","security":["5dbb53b6-c3f2-4b28-a52f-cf1152fa87c4"],"parameters":["14df7609-09ec-42b7-ae30-e3fb0466e057","38861658-cb17-4b32-9331-1f0d898d1df4"],"responses":{"200":"be84b241-2aed-41a8-8166-ecf62e14b287","401":"6e01e361-6d8a-40aa-a4ed-c0a7d08ec0ef","403":"3471e1b4-b4b9-4efb-b337-81ba38ec9f2a","404":"fa040005-8079-4cd9-8765-65fa876c26fc","422":"504de1ec-3f6e-482b-bb80-901d0c0cc9fb"},"method":"get","type":"path","servers":["fe955e79-97ae-4236-8fba-69915f967126"],"path":"/customers/me","baseUrlOptions":["/capi"],"title":"Retrieve the current customer.","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"14df7609-09ec-42b7-ae30-e3fb0466e057":{"name":"x-api-version","in":"header","required":false,"schema":{"type":"string","format":"date","title":"Customer API version","description":"The version of the Customer API you are using.","default":"2025-04-01","isRequired":false,"uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"The version of the Customer API you are using.","examples":{"default":{"value":"2025-04-01"}}},"38861658-cb17-4b32-9331-1f0d898d1df4":{"name":"x-supertab-client-id","in":"header","required":true,"schema":{"title":"Client Id","type":"string","format":"tagged_id","examples":["live_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9","test_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9"],"isRequired":true,"description":"Your Client ID with Supertab. Used to identify the website on which Customer is making a Purchase.","uniqueKey":"","typeLabel":"string\u003ctagged_id>"},"description":"Your Client ID with Supertab. Used to identify the website on which Customer is making a Purchase."}},"responses":{"be84b241-2aed-41a8-8166-ecf62e14b287":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"authenticated":{"type":"boolean","title":"Authenticated","description":"This represents either an authenticated user or location-based adjacent details inferred by Supertab","isRequired":true,"uniqueKey":"authenticated","typeLabel":"boolean"},"user":{"oneOf":[{"type":"object","title":"User","description":"The user data of the authenticated user. This will be `null` for unauthenticated users","required":["id","email","first_name","last_name","is_guest","guest_email"],"properties":{"id":{"type":"string","format":"tagged_id","title":"Id","examples":["user.4df706b5-297a-49c5-a4cd-2a10eca12ff9"],"isRequired":true,"uniqueKey":"user.oneOf.0.id","typeLabel":"string\u003ctagged_id>"},"email":{"oneOf":[{"type":"string","title":"Email","format":"email","isRequired":true,"uniqueKey":"user.oneOf.0.email.oneOf.0","typeLabel":"string\u003cemail>"},{"type":"null","title":"Email","isRequired":true,"uniqueKey":"user.oneOf.0.email.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"user.oneOf.0.email","typeLabel":"string\u003cemail> | null"},"first_name":{"oneOf":[{"type":"string","title":"First Name","isRequired":true,"uniqueKey":"user.oneOf.0.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","isRequired":true,"uniqueKey":"user.oneOf.0.first_name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"user.oneOf.0.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","isRequired":true,"uniqueKey":"user.oneOf.0.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","isRequired":true,"uniqueKey":"user.oneOf.0.last_name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"user.oneOf.0.last_name","typeLabel":"string | null"},"is_guest":{"type":"boolean","title":"Is Guest","isRequired":true,"uniqueKey":"user.oneOf.0.is_guest","typeLabel":"boolean"},"guest_email":{"oneOf":[{"type":"string","title":"Guest Email","format":"email","isRequired":true,"uniqueKey":"user.oneOf.0.guest_email.oneOf.0","typeLabel":"string\u003cemail>"},{"type":"null","title":"Guest Email","isRequired":true,"uniqueKey":"user.oneOf.0.guest_email.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"user.oneOf.0.guest_email","typeLabel":"string\u003cemail> | null"}},"isRequired":true,"uniqueKey":"user.oneOf.0","typeLabel":"User · object"},{"type":"null","description":"The user data of the authenticated user. This will be `null` for unauthenticated users","isRequired":true,"uniqueKey":"user.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"user","typeLabel":"User · object | null"},"tab":{"properties":{"test_mode":{"type":"boolean","title":"Test Mode","description":"Is this a test mode tab.\n\nTest mode tabs grant entitlement as usual but will not result in actual charges to customers. Test mode tabs are generated from test clients.","isRequired":true,"uniqueKey":"tab.test_mode","typeLabel":"boolean"},"currency":{"properties":{"code":{"type":"string","title":"Code","description":"ISO2417 currency code","examples":["USD"],"isRequired":true,"uniqueKey":"tab.currency.code","typeLabel":"string"},"name":{"type":"string","title":"Name","description":"Full name","examples":["US Dollar"],"isRequired":true,"uniqueKey":"tab.currency.name","typeLabel":"string"},"symbol":{"type":"string","title":"Symbol","description":"Unicode currency symbol","examples":["$"],"isRequired":true,"uniqueKey":"tab.currency.symbol","typeLabel":"string"},"base_unit":{"type":"integer","title":"Base Unit","description":"The relationship between the currency's minor and major unit.\n\nFor most currencies including USD \u0026 EUR this will be `100`. For currencies which do not use decimals (e.g JPY) this will `1`","examples":[100],"isRequired":true,"uniqueKey":"tab.currency.base_unit","typeLabel":"integer"}},"type":"object","required":["code","name","symbol","base_unit"],"title":"Currency","description":"The currency of the tab. All purchases on this tab must be made in this currency.","isRequired":true,"uniqueKey":"tab.currency","typeLabel":"Currency · object"},"total":{"properties":{"amount":{"type":"integer","title":"Amount","description":"Price amount expressed in currency base units","examples":[50],"isRequired":true,"uniqueKey":"tab.total.amount","typeLabel":"integer"},"currency":{"properties":{"code":{"type":"string","title":"Code","description":"ISO2417 currency code","examples":["USD"],"isRequired":true,"uniqueKey":"tab.total.currency.code","typeLabel":"string"},"name":{"type":"string","title":"Name","description":"Full name","examples":["US Dollar"],"isRequired":true,"uniqueKey":"tab.total.currency.name","typeLabel":"string"},"symbol":{"type":"string","title":"Symbol","description":"Unicode currency symbol","examples":["$"],"isRequired":true,"uniqueKey":"tab.total.currency.symbol","typeLabel":"string"},"base_unit":{"type":"integer","title":"Base Unit","description":"The relationship between the currency's minor and major unit.\n\nFor most currencies including USD \u0026 EUR this will be `100`. For currencies which do not use decimals (e.g JPY) this will `1`","examples":[100],"isRequired":true,"uniqueKey":"tab.total.currency.base_unit","typeLabel":"integer"}},"type":"object","required":["code","name","symbol","base_unit"],"title":"Currency","description":"The price's currency","isRequired":true,"uniqueKey":"tab.total.currency","typeLabel":"Currency · object"}},"type":"object","required":["amount","currency"],"title":"Price","description":"The current total value of purchases made on this tab","isRequired":true,"uniqueKey":"tab.total","typeLabel":"Price · object"},"limit":{"properties":{"amount":{"type":"integer","title":"Amount","description":"Price amount expressed in currency base units","examples":[50],"isRequired":true,"uniqueKey":"tab.limit.amount","typeLabel":"integer"},"currency":{"properties":{"code":{"type":"string","title":"Code","description":"ISO2417 currency code","examples":["USD"],"isRequired":true,"uniqueKey":"tab.limit.currency.code","typeLabel":"string"},"name":{"type":"string","title":"Name","description":"Full name","examples":["US Dollar"],"isRequired":true,"uniqueKey":"tab.limit.currency.name","typeLabel":"string"},"symbol":{"type":"string","title":"Symbol","description":"Unicode currency symbol","examples":["$"],"isRequired":true,"uniqueKey":"tab.limit.currency.symbol","typeLabel":"string"},"base_unit":{"type":"integer","title":"Base Unit","description":"The relationship between the currency's minor and major unit.\n\nFor most currencies including USD \u0026 EUR this will be `100`. For currencies which do not use decimals (e.g JPY) this will `1`","examples":[100],"isRequired":true,"uniqueKey":"tab.limit.currency.base_unit","typeLabel":"integer"}},"type":"object","required":["code","name","symbol","base_unit"],"title":"Currency","description":"The price's currency","isRequired":true,"uniqueKey":"tab.limit.currency","typeLabel":"Currency · object"}},"type":"object","required":["amount","currency"],"title":"Price","description":"The limit which when reached will require the customer to make payment.","isRequired":true,"uniqueKey":"tab.limit","typeLabel":"Price · object"},"purchases":{"items":{"properties":{"id":{"oneOf":[{"type":"string","title":"Id","description":"When a Purchase has been made with you, shows the ID of the Purchase. Otherwise obfuscated and is shown as `null`.","format":"tagged_id","example":"purchase.cf637646-71a4-430d-aaea-a66f1a48a83c","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].id.oneOf.0","typeLabel":"string\u003ctagged_id>"},{"type":"null","title":"Id","description":"When a Purchase has been made with you, shows the ID of the Purchase. Otherwise obfuscated and is shown as `null`.","example":"purchase.cf637646-71a4-430d-aaea-a66f1a48a83c","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].id","typeLabel":"string\u003ctagged_id> | null"},"offering_id":{"oneOf":[{"type":"string","title":"Offering Id","description":"Which offering was purchased, if this purchase resulted from purchasing a pre-defined offering.","format":"tagged_id","example":"offering.4df706b5-297a-49c5-a4cd-2a10eca12ff9","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].offering_id.oneOf.0","typeLabel":"string\u003ctagged_id>"},{"type":"null","title":"Offering Id","description":"Which offering was purchased, if this purchase resulted from purchasing a pre-defined offering.","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].offering_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].offering_id","typeLabel":"string\u003ctagged_id> | null"},"onetime_offering_id":{"oneOf":[{"type":"string","title":"Onetime Offering Id","description":"Which one-time offering was purchased, if this purchase resulted from purchasing a one-time offering.","format":"tagged_id","example":"onetime_offering.4df706b5-297a-49c5-a4cd-2a10eca12ff9","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].onetime_offering_id.oneOf.0","typeLabel":"string\u003ctagged_id>"},{"type":"null","title":"Onetime Offering Id","description":"Which one-time offering was purchased, if this purchase resulted from purchasing a one-time offering.","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].onetime_offering_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].onetime_offering_id","typeLabel":"string\u003ctagged_id> | null"},"purchased_at":{"oneOf":[{"type":"string","title":"Purchased At","description":"The time the purchase completed.","format":"date-time","example":"2025-01-01T12:00:00Z","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].purchased_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Purchased At","description":"The time the purchase completed.","example":"2025-01-01T12:00:00Z","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].purchased_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].purchased_at","typeLabel":"string\u003cdate-time> | null"},"completed_at":{"oneOf":[{"type":"string","title":"Completed At","description":"The time the purchase completed.\n\nWhere Supertab requires a payment this will be null until the payment completes.","format":"date-time","example":"2025-01-01T12:00:00Z","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].completed_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Completed At","description":"The time the purchase completed.\n\nWhere Supertab requires a payment this will be null until the payment completes.","example":"2025-01-01T12:00:00Z","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].completed_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].completed_at","typeLabel":"string\u003cdate-time> | null"},"description":{"type":"string","title":"Description","description":"A summary of the purchase, usually including the site name and the type of a given entitlement.","examples":["The Leek - 24 Hours Time Pass","1 Month Subscription"],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].description","typeLabel":"string"},"price":{"properties":{"amount":{"type":"integer","title":"Amount","description":"Price amount expressed in currency base units","examples":[50],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].price.amount","typeLabel":"integer"},"currency":{"properties":{"code":{"type":"string","title":"Code","description":"ISO2417 currency code","examples":["USD"],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].price.currency.code","typeLabel":"string"},"name":{"type":"string","title":"Name","description":"Full name","examples":["US Dollar"],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].price.currency.name","typeLabel":"string"},"symbol":{"type":"string","title":"Symbol","description":"Unicode currency symbol","examples":["$"],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].price.currency.symbol","typeLabel":"string"},"base_unit":{"type":"integer","title":"Base Unit","description":"The relationship between the currency's minor and major unit.\n\nFor most currencies including USD \u0026 EUR this will be `100`. For currencies which do not use decimals (e.g JPY) this will `1`","examples":[100],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].price.currency.base_unit","typeLabel":"integer"}},"type":"object","required":["code","name","symbol","base_unit"],"title":"Currency","description":"The price's currency","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].price.currency","typeLabel":"Currency · object"}},"type":"object","required":["amount","currency"],"title":"Price","description":"An amount of money","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].price","typeLabel":"Price · object"},"status":{"type":"string","enum":["completed","pending","abandoned"],"title":"PurchaseStatus","description":"The status of the purchase.\n\nPurchases may be pending or completed.\n\nOnly completed purchases grant access, pending purchases are purchases which require payment before entitlement is granted","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"metadata":{"additionalProperties":{"oneOf":[{"type":"number","uniqueKey":"tab.purchases.items.[INDEX].metadata.additionalProperties.oneOf.0","typeLabel":"number"},{"type":"boolean","uniqueKey":"tab.purchases.items.[INDEX].metadata.additionalProperties.oneOf.1","typeLabel":"boolean"},{"type":"integer","uniqueKey":"tab.purchases.items.[INDEX].metadata.additionalProperties.oneOf.2","typeLabel":"integer"},{"type":"string","uniqueKey":"tab.purchases.items.[INDEX].metadata.additionalProperties.oneOf.3","typeLabel":"string"},{"type":"null","uniqueKey":"tab.purchases.items.[INDEX].metadata.additionalProperties.oneOf.4","typeLabel":"null"}],"uniqueKey":"tab.purchases.items.[INDEX].metadata.additionalProperties","typeLabel":"number | boolean | integer | string | null"},"type":"object","title":"Metadata","description":"Freeform metadata associated with the purchase.\n\nThis can be used for e.g associating the purchase with a user identifier in your system","default":{},"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].metadata","typeLabel":"Metadata · object"},"entitlement_status":{"oneOf":[{"type":"object","title":"EntitlementStatus","description":"The customer's access (if any) as a result of this purchase","required":["content_key","has_entitlement","expires","recurs_at"],"properties":{"content_key":{"type":"string","title":"Content Key","description":"The content_key being checked","examples":["site.cf637646-71a4-430d-aaea-a66f1a48a83c"],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].entitlement_status.oneOf.0.content_key","typeLabel":"string"},"has_entitlement":{"type":"boolean","title":"Has Entitlement","description":"If the customer has access to this content","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].entitlement_status.oneOf.0.has_entitlement","typeLabel":"boolean"},"expires":{"oneOf":[{"type":"string","title":"Expires","description":"When the customer's access will expire","format":"date-time","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].entitlement_status.oneOf.0.expires.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Expires","description":"When the customer's access will expire","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].entitlement_status.oneOf.0.expires.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].entitlement_status.oneOf.0.expires","typeLabel":"string\u003cdate-time> | null"},"recurs_at":{"oneOf":[{"type":"string","title":"Recurs At","description":"If this access is a result of a subscription, the time the subscription will renew unless cancelled by the customer.","format":"date-time","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].entitlement_status.oneOf.0.recurs_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Recurs At","description":"If this access is a result of a subscription, the time the subscription will renew unless cancelled by the customer.","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].entitlement_status.oneOf.0.recurs_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].entitlement_status.oneOf.0.recurs_at","typeLabel":"string\u003cdate-time> | null"}},"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].entitlement_status.oneOf.0","typeLabel":"EntitlementStatus · object"},{"type":"null","description":"The customer's access (if any) as a result of this purchase","isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].entitlement_status.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"tab.purchases.items.[INDEX].entitlement_status","typeLabel":"EntitlementStatus · object | null"}},"type":"object","required":["id","offering_id","onetime_offering_id","purchased_at","completed_at","description","price","status","metadata","entitlement_status"],"title":"Purchase","uniqueKey":"tab.purchases.items.[INDEX]","typeLabel":"Purchase · object"},"type":"array","title":"Purchases","description":"Details of what this customer has purchased from your merchant account.\n\nThe purchases of the user that have been made with the other merchants are shown as a single purchase, which accumulates all totals into one and has a `null` value instead of a Purchase ID.","isRequired":true,"uniqueKey":"tab.purchases","typeLabel":"Purchase · object[]"}},"type":"object","required":["test_mode","currency","total","limit","purchases"],"title":"Tab","description":"The Tab is at the heart of Supertab. It aggregates purchases customers make and tracks when they are required to make payment.\n\nWhile the Tab powers much of our underlying behaviour you will not often directly interact with it.","isRequired":true,"uniqueKey":"tab","typeLabel":"Tab · object"}},"type":"object","required":["authenticated","user","tab"],"title":"Customer","uniqueKey":"","typeLabel":"Customer · object"},"examples":{"Example":{"title":"Example","value":{"authenticated":true,"user":{"id":"user.4df706b5-297a-49c5-a4cd-2a10eca12ff9","email":"jsmith@example.com","first_name":"\u003cstring>","last_name":"\u003cstring>","is_guest":true,"guest_email":"jsmith@example.com"},"tab":{"test_mode":true,"currency":{"code":"USD","name":"US Dollar","symbol":"$","base_unit":100},"total":{"amount":50,"currency":{"code":"USD","name":"US Dollar","symbol":"$","base_unit":100}},"limit":{"amount":50,"currency":{"code":"USD","name":"US Dollar","symbol":"$","base_unit":100}},"purchases":[{"id":"purchase.cf637646-71a4-430d-aaea-a66f1a48a83c","offering_id":"offering.4df706b5-297a-49c5-a4cd-2a10eca12ff9","onetime_offering_id":"onetime_offering.4df706b5-297a-49c5-a4cd-2a10eca12ff9","purchased_at":"2025-01-01T12:00:00Z","completed_at":"2025-01-01T12:00:00Z","description":"The Leek - 24 Hours Time Pass","price":{"amount":50,"currency":{"code":"USD","name":"US Dollar","symbol":"$","base_unit":100}},"status":"completed","metadata":{},"entitlement_status":{"content_key":"site.cf637646-71a4-430d-aaea-a66f1a48a83c","has_entitlement":true,"expires":"2023-11-07T05:31:56Z","recurs_at":"2023-11-07T05:31:56Z"}}]}}}},"exampleType":"generated"}},"exampleType":"generated"},"6e01e361-6d8a-40aa-a4ed-c0a7d08ec0ef":{"content":{"application/json":{"schema":{"properties":{"error":{"type":"object","properties":{"code":{"type":"string","description":"A codename for the error","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","description":"A human-readable error message","uniqueKey":"error.message","typeLabel":"string"}},"uniqueKey":"error","typeLabel":"object"}},"type":"object","title":"Unauthorized","uniqueKey":"","typeLabel":"Unauthorized · object"},"example":{"error":{"message":"Invalid authentication credentials","code":"invalid_credentials"}},"examples":{"Example":{"title":"Example","value":{"error":{"message":"Invalid authentication credentials","code":"invalid_credentials"}}}},"exampleType":"examples"}},"description":"Unauthorized","exampleType":"examples"},"3471e1b4-b4b9-4efb-b337-81ba38ec9f2a":{"content":{"application/json":{"schema":{"properties":{"error":{"type":"object","properties":{"code":{"type":"string","description":"A codename for the error","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","description":"A human-readable error message","uniqueKey":"error.message","typeLabel":"string"}},"uniqueKey":"error","typeLabel":"object"}},"type":"object","title":"Forbidden","uniqueKey":"","typeLabel":"Forbidden · object"},"example":{"error":{"message":"The Bearer token does not match the x-supertab-client-id header | Missing or invalid x-supertab-client-id | Invalid subject type {request_subject_type} found, {expected_token_type} expected | Forbidden","code":"client_id_mismatch | missing_or_invalid_x_supertab_client_id | invalid_subject_type | forbidden"}},"examples":{"Example":{"title":"Example","value":{"error":{"message":"The Bearer token does not match the x-supertab-client-id header | Missing or invalid x-supertab-client-id | Invalid subject type {request_subject_type} found, {expected_token_type} expected | Forbidden","code":"client_id_mismatch | missing_or_invalid_x_supertab_client_id | invalid_subject_type | forbidden"}}}},"exampleType":"examples"}},"description":"Forbidden","exampleType":"examples"},"fa040005-8079-4cd9-8765-65fa876c26fc":{"content":{"application/json":{"schema":{"properties":{"error":{"type":"object","properties":{"code":{"type":"string","description":"A codename for the error","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","description":"A human-readable error message","uniqueKey":"error.message","typeLabel":"string"}},"uniqueKey":"error","typeLabel":"object"}},"type":"object","title":"Not Found","uniqueKey":"","typeLabel":"Not Found · object"},"example":{"error":{"message":"User not found","code":"user_not_found"}},"examples":{"Example":{"title":"Example","value":{"error":{"message":"User not found","code":"user_not_found"}}}},"exampleType":"examples"}},"description":"Not Found","exampleType":"examples"},"504de1ec-3f6e-482b-bb80-901d0c0cc9fb":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"error":{"type":"array","description":"A general error code and message accompanied by the list of attributes that failed validation","items":{"type":"object","properties":{"code":{"type":"string","description":"A short generic error code","uniqueKey":"error.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"A human-readable error message","uniqueKey":"error.items.[INDEX].message","typeLabel":"string"},"errors":{"type":"array","description":"A list of attributes that failed validation","items":{"type":"object","properties":{"attribute":{"type":"string","description":"The path to the attribute that failed validation","uniqueKey":"error.items.[INDEX].errors.items.[INDEX].attribute","typeLabel":"string"},"code":{"type":"string","description":"An error code of this attribute's specific validation error","uniqueKey":"error.items.[INDEX].errors.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","description":"A human-readable error message of this attribute's specific validation error","uniqueKey":"error.items.[INDEX].errors.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"error.items.[INDEX].errors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"error.items.[INDEX].errors","typeLabel":"object[]"}},"uniqueKey":"error.items.[INDEX]","typeLabel":"object"},"uniqueKey":"error","typeLabel":"object[]"}},"type":"object","title":"Validation Error","uniqueKey":"","typeLabel":"Validation Error · object"},"example":{"error":[{"code":"validation_error","message":"Validation Error","errors":[{"attribute":"query -> subject","code":"missing","message":"field required"}]}]},"examples":{"Example":{"title":"Example","value":{"error":[{"code":"validation_error","message":"Validation Error","errors":[{"attribute":"query -> subject","code":"missing","message":"field required"}]}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"5dbb53b6-c3f2-4b28-a52f-cf1152fa87c4":{"oauth":{"type":"oauth2","description":"Supertab OAuth2 flow for CAPI. See [Authentication](/customer-api/authentication).","flows":{"authorizationCode":{"scopes":{"capi:read":"Access to view capi","capi:write":"Access to write for capi"},"authorizationUrl":"https://auth.supertab.co/oauth2/auth","tokenUrl":"https://auth.supertab.co/oauth2/token"}},"scopes":["capi:read"]}}},"servers":{"fe955e79-97ae-4236-8fba-69915f967126":{"url":"/capi"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"oauth2","description":"Supertab OAuth2 flow for CAPI. See [Authentication](/customer-api/authentication).","flows":{"authorizationCode":{"scopes":{"capi:read":"Access to view capi","capi:write":"Access to write for capi"},"authorizationUrl":"https://auth.supertab.co/oauth2/auth","tokenUrl":"https://auth.supertab.co/oauth2/token"}},"scopes":["capi:read"]},"schema":{"title":"OAuth2 Auth","type":"string","isRequired":true,"description":"Supertab OAuth2 flow for CAPI. See [Authentication](/customer-api/authentication).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"oauth","name":"Authorization"}],"title":"oauth"}]},"originalFileLocation":"customer-api/openapi-2025-04-01.json"},"subdomain":"supertab","siteName":"Supertab docs","title":"Retrieve current customer - Supertab docs","navMaps":{"firstHrefInVersion":{"2025-04-01":{"href":"/customer-api/endpoints/retrieve-customer","matchLevel":0},"v3":{"href":"/supertab-js/introduction","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-01-22T10:51:53.630Z","originalFileLocation":"customer-api/endpoints/retrieve-customer.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve the current customer. If the user is authenticated, retrieve the customer\u0026#x27;s current tab. For unauthenticated requests, retrieve a predicted currency and tab limit based on the user\u0026#x27;s location.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Supertab docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/supertab/24UJgC29HVwRWzPH/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/supertab/24UJgC29HVwRWzPH/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/supertab/24UJgC29HVwRWzPH/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/supertab/24UJgC29HVwRWzPH/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/supertab/24UJgC29HVwRWzPH/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/supertab/24UJgC29HVwRWzPH/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/supertab/24UJgC29HVwRWzPH/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/supertab/24UJgC29HVwRWzPH/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/supertab/24UJgC29HVwRWzPH/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve current customer - Supertab docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve the current customer. If the user is authenticated, retrieve the customer\u0026#x27;s current tab. For unauthenticated requests, retrieve a predicted currency and tab limit based on the user\u0026#x27;s location.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Supertab docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.supertab.co/customer-api/endpoints/retrieve-customer\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://supertab.mintlify.site/_mintlify/api/og/v2?division=Endpoints\u0026amp;title=Retrieve+current+customer\u0026amp;description=Retrieve+the+current+customer.%0A%0AIf+the+user+is+authenticated%2C+retrieve+the+customer%27s+current+tab.%0A%0AFor+unauthenticated+requests%2C+retrieve+a+predicted+currency+\u0026amp;theme=f8f57096d3469e3d3e9bab6c\u0026amp;signature=24ac7f01ef1aea2db1263f4ea845a2f561fb2320cf6eabfc57baa77e46a22aa4\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve current customer - Supertab docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve the current customer. If the user is authenticated, retrieve the customer\u0026#x27;s current tab. For unauthenticated requests, retrieve a predicted currency and tab limit based on the user\u0026#x27;s location.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://supertab.mintlify.site/_mintlify/api/og/v2?division=Endpoints\u0026amp;title=Retrieve+current+customer\u0026amp;description=Retrieve+the+current+customer.%0A%0AIf+the+user+is+authenticated%2C+retrieve+the+customer%27s+current+tab.%0A%0AFor+unauthenticated+requests%2C+retrieve+a+predicted+currency+\u0026amp;theme=f8f57096d3469e3d3e9bab6c\u0026amp;signature=24ac7f01ef1aea2db1263f4ea845a2f561fb2320cf6eabfc57baa77e46a22aa4\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/supertab/24UJgC29HVwRWzPH/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Supertab docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0A0E1A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.supertab.co/customer-api/endpoints/retrieve-customer\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/customer-api/endpoints/retrieve-customer.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.supertab.co/#organization\",\"name\":\"Supertab docs\",\"url\":\"https://docs.supertab.co\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/supertab/bP-daIW8qZO4pzbo/logo/light.svg?fit=max\u0026auto=format\u0026n=bP-daIW8qZO4pzbo\u0026q=85\u0026s=47631a4a02f7428d1c2479d804aea54d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.supertab.co#website\",\"name\":\"Supertab docs\",\"url\":\"https://docs.supertab.co\",\"publisher\":{\"@id\":\"https://docs.supertab.co/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.supertab.co/customer-api/endpoints/retrieve-customer#webpage\",\"url\":\"https://docs.supertab.co/customer-api/endpoints/retrieve-customer\",\"name\":\"Retrieve current customer\",\"description\":\"Retrieve the current customer. If the user is authenticated, retrieve the customer's current tab. For unauthenticated requests, retrieve a predicted currency and tab limit based on the user's location.\",\"dateModified\":\"2026-01-22T10:51:53.630Z\",\"isPartOf\":{\"@id\":\"https://docs.supertab.co#website\"},\"breadcrumb\":{\"@id\":\"https://docs.supertab.co/customer-api/endpoints/retrieve-customer#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.supertab.co/customer-api/endpoints/retrieve-customer#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Supertab docs\",\"item\":\"https://docs.supertab.co\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Retrieve current customer\",\"item\":\"https://docs.supertab.co/customer-api/endpoints/retrieve-customer\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.supertab.co/customer-api/endpoints/retrieve-customer#apireference\",\"headline\":\"Retrieve current customer\",\"name\":\"Retrieve current customer\",\"description\":\"Retrieve the current customer. If the user is authenticated, retrieve the customer's current tab. For unauthenticated requests, retrieve a predicted currency and tab limit based on the user's location.\",\"url\":\"https://docs.supertab.co/customer-api/endpoints/retrieve-customer\",\"mainEntityOfPage\":{\"@id\":\"https://docs.supertab.co/customer-api/endpoints/retrieve-customer#webpage\"},\"dateModified\":\"2026-01-22T10:51:53.630Z\",\"publisher\":{\"@id\":\"https://docs.supertab.co/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.supertab.co#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Supertab docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Supertab docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/supertab-introduction/overview/about-supertab"}]},{"tab":"Updates","pages":[{"title":"Updates","href":"/updates/product"}]},{"tab":"Supertab.js","versions":[{"version":"v3","groups":[{"group":"Supertab.js","pages":[{"title":"Getting Started","href":"/supertab-js/introduction"},{"title":"Installation","href":"/supertab-js/installation"}]},{"group":"Experiences","pages":[{"title":"Paywall Experiences","href":"/supertab-js/experiences/paywall"}]},{"group":"API Reference","pages":[{"title":"SDK Overview","sidebarTitle":"Overview","href":"/supertab-js/reference/overview"},{"title":"Supertab.createPaygate","tag":"DEPRECATED","href":"/supertab-js/reference/create-paygate"},{"title":"Supertab.createPaywall","href":"/supertab-js/reference/create-paywall"},{"title":"Supertab.createPurchaseButton","href":"/supertab-js/reference/purchase-button"},{"title":"Supertab.createPurchase","sidebarTitle":"Supertab.createPurchase","href":"/supertab-js/reference/create-purchase"},{"title":"Supertab.auth","href":"/supertab-js/reference/auth"},{"title":"Supertab.api","href":"/supertab-js/reference/api"},{"title":"Supertab.checkout","href":"/supertab-js/reference/checkout"},{"title":"Errors","href":"/supertab-js/reference/errors"}]}]}]},{"tab":"API Reference","dropdowns":[{"dropdown":"Customer API","icon":"browsers","versions":[{"version":"2025-04-01","groups":[{"group":"Introduction","pages":[{"title":"Customer API","sidebarTitle":"Customer API","icon":"browsers","href":"/customer-api/overview"}]},{"group":"Reference","pages":[{"title":"Authentication","sidebarTitle":"Authentication","icon":"lock","href":"/customer-api/authentication"},{"title":"Versioning","sidebarTitle":"Versioning \u0026 Changes","icon":"calendar-clock","href":"/customer-api/versioning"}]},{"group":"Guides","pages":[{"title":"Making a Purchase","icon":"circle-dollar-to-slot","href":"/customer-api/making-a-purchase"},{"title":"Check for Entitlements, including Prior Entitlements","sidebarTitle":"Check for Entitlements","description":"Serve content to returning customers","icon":"check","href":"/customer-api/entitlements"}]},{"group":"Endpoints","pages":[{"title":"Retrieve current customer","openapi":"GET /customers/me","href":"/customer-api/endpoints/retrieve-customer"},{"title":"Retrieve website","openapi":"get /site","description":"Retrieves information about the current site, identified by the Client ID.\nThe response contains information about all the available offerings, configuration for the experiences\n(e.g. paygates and buttons), and some other metadata.","href":"/customer-api/endpoints/retrieve-site"},{"openapi":"post /purchases/offerings","title":"Purchase an offering","href":"/customer-api/endpoints/purchase-an-offering"},{"openapi":"get /onetime_offerings/{onetime_offering_id}","title":"Retrieve a one-time offering","href":"/customer-api/endpoints/retrieve-a-one-time-offering"},{"openapi":"post /purchases/onetime_offerings","title":"Purchase a one-time offering","href":"/customer-api/endpoints/purchase-a-one-time-offering"},{"openapi":"get /purchases/{purchase_id}","title":"Retrieve a purchase","href":"/customer-api/endpoints/retrieve-a-purchase"},{"openapi":"get /entitlements/{content_key}","title":"Retrieve entitlement status","href":"/customer-api/endpoints/retrieve-entitlement-status"}]}]}]},{"dropdown":"Merchant API","icon":"server","versions":[{"version":"2025-04-01","groups":[{"group":"Introduction","pages":[{"title":"Merchant API","sidebarTitle":"Merchant API","icon":"server","href":"/merchant-api/overview"}]},{"group":"Reference","pages":[{"title":"Authentication","sidebarTitle":"Authentication","icon":"lock","href":"/merchant-api/authentication"},{"title":"Versioning","sidebarTitle":"Versioning \u0026 Changes","icon":"calendar-clock","href":"/merchant-api/versioning"}]},{"group":"Endpoints","pages":[{"title":"Create New One-Time Offering","openapi":"post /onetime_offerings","href":"/merchant-api/endpoints/create-onetime-offering"},{"title":"Retrieve a One-Time Offering","openapi":"get /onetime_offerings/{onetime_offering_id}","href":"/merchant-api/endpoints/retrieve-onetime-offering"}]},{"group":"Webhooks","pages":[{"title":"Consuming Webhooks","sidebarTitle":"Consuming Webhooks","icon":"globe","href":"/merchant-api/webhooks/consuming-webhooks"}]}]}]}]}]},"basePath":"","title":"Retrieve current customer - Supertab docs","buildId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","deploymentId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-5FCzAcfS.js","utils-SLtAG4EZ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-2DZi8ZMu.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D7J3nkzE.js","snippetPresets-D0Alv0AH.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BI4qNJ2c.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BD3uyr8j.js","shallow-D8iEBr5z.js","getApiPlaygroundDisplay-CgNP4lzR.js","CodeSnippet-CX-QHuMs.js","CodeSnippets-VlXE-ZUf.js","Page-D9ithiIZ.js","getPastedJson-DYNQkZ1M.js","icon-CzacdwOi.js","MethodPill-2JVqoYKi.js","DuplicateIcon-_xVXs-U8.js","createIcon-BRHrweLo.js","DynamicMarkdown-mQG_iQiE.js","SectionHeading-DMpJzv8f.js","axios-vUo_bRtp.js","Markdown-5FGIym-8.js","clsx-D-TRO5q5.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CdrJecqK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CHlcWBLM.js"]}